package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class MenuMaterialRegisterPicVo {
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("图片地址")
   private String imageUrl;

   public String getImageUrl() {
      return SysUtil.getCutFileUrl(this.imageUrl);
   }

   public Long getId() {
      return this.id;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public MenuMaterialRegisterPicVo setId(final Long id) {
      this.id = id;
      return this;
   }

   public MenuMaterialRegisterPicVo setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public MenuMaterialRegisterPicVo setImageUrl(final String imageUrl) {
      this.imageUrl = imageUrl;
      return this;
   }
}
